hashmicro/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('testhashmicro.urls')),
    path('schedule/', include('schedule.urls')),
]

schedule/urls.py
from django.urls import path
from . import views

app_name = 'schedule'

urlpatterns = [
    path('listAktifitas', views.listSchedule, name='listschedule'),
    path('add', views.addSchedulePage, name="addSchedulePage"),
    path('addAktifitas', views.addSchedule, name="addschedule"),
    path('update/(?P<id_aktifitas>\w+)', views.updateSchedulePage, name="updateSchedulePage"),
    path('updateAktifitas/(?P<id_aktifitas>\w+)', views.updateSchedule, name="updateschedule"),
    path('delete/(?P<id_aktifitas>\w+)', views.deleteSchedule, name="deleteschedule"),
    path('detail/(?P<id_aktifitas>\w+)', views.detailSchedule, name="detailschedule"),
    
]

testhashmicro/urls.py
from django.urls import path
from . import views

app_name = 'testhashmicro'

urlpatterns = [
    path('', views.home, name='home'),
    path('hasil', views.pencarianHasil, name="pencarianHasil"),
    path('bmi', views.bmi, name="bmi"),
    path('games', views.quiz, name="games"),
]

schedule/models.py
from django.db import models
import uuid
# Create your models here.
class Schedule(models.Model):
    id_aktifitas = models.UUIDField(primary_key = True, default = uuid.uuid4, editable = False)
    nama_aktifitas = models.CharField(max_length = 100, unique=True)
    deskripsi = models.CharField(max_length = 500)
    tempat = models.CharField(max_length = 100)
    status = models.CharField(max_length = 100)
    tanggal = models.DateTimeField(blank=True)
    created = models.DateTimeField(auto_now_add=True)

testhashmicro/models.py
from django.db import models

# Create your models here.

schedule/views.py
from django.shortcuts import render, redirect
from .models import Schedule
import datetime

# Create your views here.
def listSchedule(request):
    datas = Schedule.objects.all().order_by("tanggal")
    return render(
        request,
        "listschedule.html",
        {"datas": datas},
    )

def detailSchedule(request, id_aktifitas):
    data = Schedule.objects.get(id_aktifitas=id_aktifitas)
    return render(request, "detailschedule.html", {"data": data})


def addSchedulePage(request):
    return render(request, "addschedule.html",)


def addSchedule(request):
    urlrouting = "schedule:listschedule"
    if request.method == "POST":
        try:
            newSchedule = Schedule(
                nama_aktifitas=request.POST["nama_aktifitas"],
                tempat=request.POST["tempat"],
                deskripsi=request.POST["deskripsi"],
                tanggal=request.POST["tanggal"],
                status=request.POST["status"],
                created = datetime.date.today())
            newSchedule.save()
            message = "Berhasil menyimpan data"
            return render(
                request,
                "notificationsuccess.html",
                {"message": message, "urlrouting": urlrouting},
            )
        except Exception as e:
            print(e)
            message = (
                "Maaf ada beberapa kesalahan yang terdeteksi, Mohon cek ulang data"
            )
            return render(
                request,
                "notificationfailed.html",
                {"message": message, "urlrouting": urlrouting},
            )


def updateSchedulePage(request, id_aktifitas):
    data = Schedule.objects.get(id_aktifitas=id_aktifitas)
    return render(
        request, "updateschedule.html", {"data": data}
    )


def updateSchedule(request, id_aktifitas):
    urlrouting = "schedule:listschedule"
    try:
        updatedAktifitas = Schedule.objects.filter(
            id_aktifitas=id_aktifitas
        ).update(
            nama_aktifitas=request.POST["nama_aktifitas"],
            tempat=request.POST["tempat"],
            deskripsi=request.POST["deskripsi"],
            tanggal=request.POST["tanggal"],
            status=request.POST["status"],
            created = datetime.date.today()
        )
        message = "Berhasil menyimpan data"
        return render(
            request,
            "notificationsuccess.html",
            {"message": message, "urlrouting": urlrouting},
        )
    except Exception as e:
        print(e)
        message = "Maaf ada beberapa kesalahan yang terdeteksi, Mohon cek ulang data"
        return render(
            request,
            "notificationfailed.html",
            {
                "message": message,
                "urlrouting": urlrouting,
            },
        )


def deleteSchedule(request, id_aktifitas):
    urlrouting = "schedule:listschedule"
    try:
        Schedule.objects.filter(id_aktifitas=id_aktifitas).delete()
        message = "Berhasil menghapus data"
        return render(
            request,
            "notificationsuccess.html",
            {"message": message, "urlrouting": urlrouting},
        )
    except:
        message = "Maaf ada beberapa kesalahan yang terdeteksi, Mohon cek ulang data"
        return render(
            request,
            "notificationfailed.html",
            {"message": message, "urlrouting": urlrouting},
        )

testhashmicro/views.py
from django.shortcuts import render,redirect

# Create your views here.
def home(request):
    return render(request, 'home.html')

def pencarianHasil(request):
    msg = ""
    if request.method == "POST":
        if len(request.POST["pertama"]) == 0:
            msg = "Hasil : 0% (0/0)"
        elif len(request.POST["kedua"]) == 0:
            if len(request.POST["pertama"]) != 0: 
                totalHuruf = len(request.POST["pertama"]) - request.POST["pertama"].count(' ')
                msg = "Hasil : 0% (0/"+str(totalHuruf)+")"
            else:
                msg = "Hasil : 0% (0/0)"
        else:
            listHasil = perhitungan(request.POST["pertama"],request.POST["kedua"])
            hurufSama = listHasil[0]
            totalHuruf = len(request.POST["pertama"]) - request.POST["pertama"].count(' ')
            persen = listHasil[1]
            msg = "Hasil : "+str(persen)+"% "+"("+str(hurufSama)+"/"+str(totalHuruf)+")"
    
    return render(request, 'testing.html',{"msg":msg})

def perhitungan(pertama,kedua):
    first = pertama
    second = kedua
    first.replace(" ", "")
    second.replace(" ", "")
    arrFirst = list(first)
    arrSecond = list(second)
    hurufSama = 0
    hasil = 0

    for x in arrFirst :
        if x in arrSecond :
            hurufSama+=1
    
    hasil = (hurufSama/len(arrFirst))*100
    
    return [hurufSama,hasil]

def quiz(request):
    msg = ""
    jawabanBenar = ["almond", "anggur", "apel", "aprikot", "alpukat", "ara", "asam", "atap", "arbei", "abiu"]
    total = 10
    if request.method == "POST":
        if len(request.POST["jawaban"]) == 0:
            msg = "Hasil : 0% (0/0)"
        else :
            jawaban = request.POST["jawaban"]
            listJawaban = jawaban.split(",")
            nilai = 0
            benar = 0
            for x in listJawaban:
                for y in jawabanBenar :
                    if x == y.lower() :
                        benar +=1
                        jawabanBenar.remove(y)
            nilai = (benar/total)*100
            msg = "Nilai : "+str(nilai)+"% "+"("+str(benar)+"/"+str(total)+")"
    return render (request, 'quiz.html',{"msg":msg})

def bmi(request):
    msg = ""
    if request.method == "POST":
        if len(request.POST["tinggi"]) == 0 :
            if len(request.POST["berat"]) == 0 :
                msg = "Silahkan isi kolom berat dan tinggi"
            elif len(request.POST["berat"]) != 0 :
                msg = "Silahkan isi kolom tinggi"
        elif len(request.POST["tinggi"]) != 0 :
            if len(request.POST["berat"]) == 0 :
                msg = "Silahkan isi kolom berat"
            else:
                hasil = float(request.POST["berat"])/(float(request.POST["tinggi"])*float(request.POST["tinggi"]))
                if hasil < 18.5 :
                    msg = "Hasil Perhitungan : "+str(hasil)+" (Kekurangan berat badan)"
                elif hasil >= 18.5 and hasil < 25 :
                    msg = "Hasil Perhitungan : "+str(hasil)+" (Normal (ideal))"
                elif hasil >= 25 and hasil < 30 :
                    msg = "Hasil Perhitungan : "+str(hasil)+" (Kelebihan berat badan)"
                elif hasil > 30 :
                    msg = "Hasil Perhitungan : "+str(hasil)+" (Kegemukan (Obesitas))"
    return render (request, "bmi.html", {"msg":msg})

schedule/templates/addschedule.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
  <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.1/dist/umd/popper.min.js" integrity="sha384-SR1sx49pcuLnqZUnnPwx6FCym0wLsk5JZuNx2bPPENzswTNFaQU1RDvt3wT4gWFG" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.min.js" integrity="sha384-j0CNLUeiqtyaRmlzUHCPZ+Gy5fQu0dQ6eZ/xAww941Ai1SxSY+0EQqNXNE6DZiVc" crossorigin="anonymous"></script>
</head>

<body>
    {% include './navbar.html' %}
    <div id="content" class="p-4 p-md-5 pt-5">

        <div class="container shadow rounded-box">
        <br>
        <h2>Tambah Aktifitas</h2>
        <form method="POST" action="{% url 'schedule:addschedule' %}">
            {% csrf_token %}
            <div class="row">
                <div class="col">
                    <label for="">Nama Aktifitas: *</label>
                    <br>
                    <input type="text" name="nama_aktifitas" id="nama_aktifitas" class="form-control">
                </div>
                <div class="col">
                    <label for="">Tempat: </label>
                    <br>
                    <input type="text" name="tempat" id="tempat" class="form-control">
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <label for="">Deskripsi: </label>
                    <br>
                    <textarea name="deskripsi" id="deskripsi" class="form-control"></textarea>
                </div>
                <div class="col">
                    <label for="">Tanggal Pelaksanaan:</label>
                    <br>
                    <input type="datetime-local" name="tanggal" id="tanggal" class="form-control">
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <label for="">Status: </label>
                    <br>
                    <select class="form-control" name="status" id="status">
                        <option value="Standard">Standard</option>
                        <option value="Penting">Penting</option>
                        <option value="Tidak Penting">Tidak Penting</option>
                    </select>
                </div>
            </div>
            <br>
            <label class="fw-bold">Keterangan: "Semua kolom wajib di isi"</label>
            <br>
            <br>
            <a class="btn btn-secondary" href="{% url 'schedule:listschedule' %}">Kembali</a>
            <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modalAktifitas">Simpan</button>    
            <br>
            <div>
                <br>
            </div>        
            <div class="modal fade" id="modalAktifitas" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLongTitle">Aktifitas</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                </button>
                </div>
                <div class="modal-body">
                  <h5 class="text-center">Apakah Anda yakin ingin menyimpan data ini?</h5>
                        <div class="text-center">
                          <button class="btn btn-primary btn-lg" type="submit"><a>Ya</a></button>
                          <button class="btn btn-secondary btn-lg" data-bs-dismiss="modal"><a>Tidak</a></button>
                        </div>
                </div>
                </div>
                </div>
                </div>
        </form>
        
        </div>
        </div>
</body>

</html>

schedule/templates/detailschedule.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
  <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.1/dist/umd/popper.min.js" integrity="sha384-SR1sx49pcuLnqZUnnPwx6FCym0wLsk5JZuNx2bPPENzswTNFaQU1RDvt3wT4gWFG" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.min.js" integrity="sha384-j0CNLUeiqtyaRmlzUHCPZ+Gy5fQu0dQ6eZ/xAww941Ai1SxSY+0EQqNXNE6DZiVc" crossorigin="anonymous"></script>
</head>

<body>
    {% include './navbar.html' %}
    <div id="content" class="p-4 p-md-5 pt-5">
        <div class="container shadow rounded-box">
            <h2>Detail Aktifitas</h2>
            <div class="row">
                <div class="col">
                    <p class="text-dark"><b>Nama Aktifitas</b></p>
                    <p class="text-dark">{{data.nama_aktifitas}}</p>
                </div>
                <div class="col">
                    <p class="text-dark"><b>Deksripsi</b></p>
                    <p class="text-dark">{{data.deskripsi}}</p>
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <p class="text-dark"><b>Tempat</b></p>
                    <p class="text-dark">{{data.tempat}}</p>
                </div>
                <div class="col">
                    <p class="text-dark"><b>Tanggal Pelaksanaan</b></p>
                    <p class="text-dark">{{data.tanggal}}</p>
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <p class="text-dark"><b>Status</b></p>
                    <p class="text-dark">{{data.status}}</p>
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <a class="btn btn-primary" href="{% url 'schedule:listschedule' %}">Kembali</a>
                    <a class="btn btn-primary" href="{% url 'schedule:updateSchedulePage' data.id_aktifitas %}">Ubah</a>
                </div>
            </div>
            <div>
                <br>
            </div>
        </div>
    </div>
    
</body>

</html>

schedule/templates/listschedule.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
  <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js" integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF" crossorigin="anonymous"></script>  
</head>

<body>
  {% include './navbar.html' %}
  <div id="content" class="p-4 p-md-5 pt-5">
    <div class="container justify-content-center d-flex">
            <div class="container">
                <div class="col pull-right">
                  <a class="btn btn-primary pull-right" href="{% url 'schedule:addSchedulePage' %}">Add +</a>
                </div>
                <table class="table shadow p-3 mb-5 bg-white">  
                  <thead>
                      <caption class="text-center" style="caption-side: top"><h1>SCHEDULE</h1></caption>
                      <tr class="text-center">
                          <th>No.</th>
                          <th>Nama</th>
                          <th>Tempat</th>
                          <th>Tanggal Pelaksanaan</th>
                          <th>Status</th>
                          <th>Action</th>
                      </tr>
                  </thead>
                    <tbody>
                      {% if datas %}              
                      {% for data in datas %}
                      <tr class="text-center">
                        <td class="text-center">{{ forloop.counter }}</td>
                        <td class="text-center">{{data.nama_aktifitas}}</td>
                        <td class="text-center">{{data.tempat}}</td>
                        <td class="text-center">{{data.tanggal}}</td>
                        <td class="text-center">{{data.status}}</td>
                        <td class="text-center">
                          <a class="btn btn-primary btn-sm" href="{% url 'schedule:detailschedule' data.id_aktifitas %}">Lihat</a>
                          <a class="btn btn-primary btn-sm" href="{% url 'schedule:updateSchedulePage' data.id_aktifitas %}">Ubah</a>
                          <button type="button" id="tombol" class="btn btn-danger btn-sm" data-bs-toggle="modal" data-bs-target="#modalAktifitas{{data.id_aktifitas}}">Hapus</button>
                        </td>

                        <div class="modal fade" id="modalAktifitas{{data.id_aktifitas}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle{{data.nama_aktifitas}}" aria-hidden="true">
                          <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                              
                              <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLongTitle{{data.nama_aktifitas}}">Aktifitas</h5>
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                                </button>
                              </div>

                              <div class="modal-body">
                                <h5 class="text-center">Apakah Anda yakin ingin menghapus data ini?</h5>
                                <div class="text-center">
                                  <a class="btn btn-primary" href="{% url 'schedule:deleteschedule' data.id_aktifitas %}">Ya</a>
                                  <button class="btn btn-secondary" data-bs-dismiss="modal"><a>Tidak</a></button>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </tr>
                      {% endfor %}
                      {% else %}
                      <tr class="text-center">
                        <td class="text-center">Tidak ada Aktifitas</td>
                        <td class="text-center"></td>
                        <td class="text-center"></td>
                        <td class="text-center"></td>
                        <td class="text-center"></td>
                        <td class="text-center"></td>
                        <td class="text-center">
                        </td>
                      </tr>
                      {% endif %}
                    </tbody>
                </table>
            </div>
    </div>
  </div>
</body>

</html>

schedule/templates/updateschedule.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
  <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.1/dist/umd/popper.min.js" integrity="sha384-SR1sx49pcuLnqZUnnPwx6FCym0wLsk5JZuNx2bPPENzswTNFaQU1RDvt3wT4gWFG" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.min.js" integrity="sha384-j0CNLUeiqtyaRmlzUHCPZ+Gy5fQu0dQ6eZ/xAww941Ai1SxSY+0EQqNXNE6DZiVc" crossorigin="anonymous"></script>
</head>

<body>
    {% include './navbar.html' %}
    <div id="content" class="p-4 p-md-5 pt-5">
        <div class="container shadow rounded-box">
            <br>
            <h2>Ubah Informasi Aktifitas</h2>
            <form method="POST" action="{% url 'schedule:updateschedule' data.id_aktifitas %}">
                {% csrf_token %}
                <div class="row"> 
                    <div class="col">
                        <label for="">Nama Aktifitas:</label>
                        <br>
                        <input class="form-control" name="nama_aktifitas" id="nama_aktifitas" value="{{data.nama_aktifitas}}">
                    </div>
                    <div class="col">
                        <label for="">Tempat:</label>
                        <br>
                        <input class="form-control" name="tempat" id="tempat" value="{{data.tempat}}">
                    </div>
                </div>
                <div class="row">
                    <div class="col">
                        <label for="">Deskripsi:</label>
                        <br>
                        <textarea class="form-control" name="deskripsi" id="deskripsi">{{data.deskripsi}}</textarea>
                    </div>
                    <div class="col">
                        <label for="">Tanggal Pelaksanaan:</label>
                        <br>
                        <input class="form-control" type="datetime-local" name="tanggal" id="tanggal" value="{{data.tanggal|date:'Y-m-d'}}T{{data.tanggal|time:'H:i:s'}}" placeholder="{{data.tanggal}}">
                    </div>
                </div>
                <div class="row">
                    <div class="col">
                        <label for="">Status:</label>
                        <select name= "status" id = "status" class="form-control" style="width: 100%;">
                            <option value="{{data.status}}">{{data.status}}</option>
                            <option value="Standard">Standard</option>
                            <option value="Penting">Penting</option>
                            <option value="Tidak Penting">Tidak Penting</option>
                        </select>
                    </div>
                </div>
                <br>
                <div>
                    <a class="btn btn-primary" href="{% url 'schedule:listschedule' %}">Kembali</a>
                    <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modalAktifitas">Simpan</button>
                </div>
                <br>
                <div>
                    <br>
                </div>

                <div class="modal fade" id="modalAktifitas" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
                    <div class="modal-dialog modal-dialog-centered" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalLongTitle">Aktifitas</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                            </button>
                        </div>
                        <div class="modal-body">
                            <h5 class="text-center">Apakah Anda yakin ingin menyimpan data ini?</h5>
                            <div class="text-center">
                                <button class="btn btn-primary btn-lg" type="submit"><a>Ya</a></button>
                                <button class="btn btn-secondary btn-lg" data-bs-dismiss="modal"><a>Tidak</a></button>
                            </div>
                        </div>
                    </div>
                    </div>
                </div>

            </form>
        </div>
    </div>
    
</body>

</html>

testhashmicro/templates/bmi.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
  <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.1/dist/umd/popper.min.js" integrity="sha384-SR1sx49pcuLnqZUnnPwx6FCym0wLsk5JZuNx2bPPENzswTNFaQU1RDvt3wT4gWFG" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.min.js" integrity="sha384-j0CNLUeiqtyaRmlzUHCPZ+Gy5fQu0dQ6eZ/xAww941Ai1SxSY+0EQqNXNE6DZiVc" crossorigin="anonymous"></script>
</head>

<body>
    {% include './navbar.html' %}
    <div id="content" class="p-4 p-md-5 pt-5">
        <div class="container justify-content-center d-flex">
            <div class="card text-center shadow rounded-box" style="width: 29rem;">
                <div class="card-body">
                    <h2>Body Mass Index (BMI)</h2>
                  <img src="{% static 'bmi.jpg' %}" alt="ikonsuccess" style="width: 300px;height: 300px;">
                  <br>
                  <form method="POST" action="{% url 'testhashmicro:bmi' %}">
                    {% csrf_token %}
                  <table>
                      <tbody>
                        <tr style="height: 30px;"><td colspan="3">Asumsi : menggunakan titik ('.') untuk bilangan desimal</td></tr>
                        <tr>
                            <td>Berat dalam Kilogram (Kg) :</td>
                            <td>    </td>
                            <td><input type="text" name="berat" id="berat" class="form-control"></td>
                        </tr>
                        <tr style="height: 30px;"><td></td></tr>
                        <tr>
                            <td>Tinggi dalam Meter (m) :</td>
                            <td>    </td>
                            <td><input type="text" name="tinggi" id="tinggi" class="form-control"></td>
                        </tr>
                      </tbody>
                  </table>
                  <br>
                  <button class="btn btn-primary btn-lg" type="submit">Lihat Hasil</button>
                </form>
                  <br>
                  {% if msg %}
                  <h3><b>{{msg}}</b></h3>
                  {% else %}
                  <p></p>
                  {% endif %}
                </div>
              </div>
        </div>
    </div>
</body>

</html>

testhashmicro/templates/navbar.html
{% load static %}
<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
    <div class="container-fluid">
      <a class="navbar-brand" href="#">H-T</a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="{% url 'testhashmicro:home' %}">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="{% url 'schedule:listschedule' %}">Schedule</a>
          </li>
          <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="{% url 'testhashmicro:bmi' %}">BMI</a>
          </li>
          <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="{% url 'testhashmicro:games' %}">Games</a>
          </li>
          <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="{% url 'testhashmicro:pencarianHasil' %}">Testing</a>
          </li>
        </ul>
      </div>
    </div>
</nav>